import request from '@/utils/request';

export function deviceTypeList() { // 设备类型
  return request({
    url: 'devices/devicetype',
    method: 'get',
  });
}

export function deviceList(page, limit, type) {
  return request({
    url: 'devices/devicelist?page=' + page + '&limit=' + limit + '&type=' + type,
    method: 'get',
  });
}

export function deviceDataInfo(id) {
  return request({
    url: '/devices/deviceDataInfo/' + id,
    method: 'get',
  });
}

export function deviceDataSearch(data) {
  return request({
    url: '/devices/deviceDataSearch',
    method: 'post',
    data,
  });
}

export function deviceBasket() {
  return request({
    url: '/devices/deviceBasket',
    method: 'get',
  });
}

export function deviceDelete(id, type) {
  return request({
    url: '/devices/deviceDelete?id=' + id + '&type=' + type,
    method: 'get',
  });
}

export function deviceBasketList() {
  return request({
    url: '/devices/deviceBasketList',
    method: 'get',
  });
}

export function UpPaperBasket(id) {
  return request({
    url: '/devices/UpPaperBasket/' + id,
    method: 'get',
  });
}

export function addClassify(data) {
  return request({
    url: '/devices/addClassify/' + data,
    method: 'get',
  });
}

export function delteClassify(id) {
  return request({
    url: '/devices/delteClassify/' + id,
    method: 'get',
  });
}

export function equipment() {
  return request({
    url: '/devices/equipment',
    method: 'get',
  });
}

export function detedevice(dete) {
  return request({
    url: '/devices/detedevice?dete=' + dete,
    method: 'get',
  });
}

export function police(dete) {
  return request({
    url: '/devices/police',
    method: 'get',
  });
}

